> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyent.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a gateway



## OpenAPI

````yaml api-reference/openapi.yaml get /fleets/{fleet}/gateways/{gateway}
openapi: 3.1.0
info:
  title: Ravel API
  version: 1.0.0
servers: []
security: []
paths:
  /fleets/{fleet}/gateways/{gateway}:
    get:
      tags:
        - Fleets
      summary: Get a gateway
      operationId: getGateway
      parameters:
        - explode: false
          in: query
          name: namespace
          schema:
            type: string
        - in: path
          name: fleet
          required: true
          schema:
            type: string
        - in: path
          name: gateway
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Gateway'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RavelError'
          description: Error
components:
  schemas:
    Gateway:
      additionalProperties: false
      properties:
        fleet_id:
          type: string
        id:
          type: string
        name:
          type: string
        namespace:
          type: string
        protocol:
          type: string
        target_port:
          format: int64
          type: integer
      required:
        - id
        - name
        - namespace
        - fleet_id
        - protocol
        - target_port
      type: object
    RavelError:
      additionalProperties: false
      properties:
        code:
          type: string
        detail:
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        status:
          format: int64
          type: integer
        title:
          type: string
      required:
        - code
        - status
        - title
        - detail
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````